Results 1 to 8 of 8

Thread: EXACTLY Who should update to Actel 2.1 / SPI 1.5?

  1. #1
    Member
    Retired Staff Member

    Join Date
    Jun 2008
    Posts
    1,494
    Thanks
    70
    Thanked 230 Times in 116 Posts

    Question EXACTLY Who should update to Actel 2.1 / SPI 1.5?

    To me it is still not clear who EXACTLY should be updating to Actel FW 2.1 and who should be updating to SPI 1.5. You have to remember there are several types D2Pro chips out there.

    There are people on :-
    - D2C with SPI 1.3 and Actel 1.1b who not experiencing any issues
    - D2C with SPI 1.4 and Actel 1.1b who are having problems, but not all
    - D2C2 with SPI 1.4 and Actel 1.1b who are having problems, but not all

    So taking into consideration that hords of people have bought the D2Pro9 think that they will NEVER need the D2PROG and didn't purchase one, someone who really knows what they are talking about, needs to specify EXACTLY who needs to update to latest Actel 2.1 and who needs to update to SPI 1.5. Explaing the EXACT benefit of each.

    If you going to attempt to answer this then Please be very very specific, because for a lot of people it will mean re-opening up their wii as well spending more money on either getting their professional installer to do this upgarde or purchaning the D2PROG. All this is a major undertaking so don't take it lightly.
    Last edited by jbloggs; 07-25-2008 at 08:55 AM.

  2. #2
    Inactive *********
    *UNDERSTAFFED*ONLY MK Contestants & ***** Supporters can PM MODS
    jebise101's Avatar
    Join Date
    Jun 2008
    Posts
    425
    Thanks
    0
    Thanked 16 Times in 7 Posts
    wolfenstein your issues is media, burn speed or trucha ssbb and not the modchip as i have played ssbb on my 1.b and 1.3,1.4,1.5 d2pro9 , please do a search as therte are many thread to your problem and do not reply on this thead craete a new one

  3. #3
    Member
    Join Date
    Jul 2008
    Posts
    320
    Thanks
    0
    Thanked 1 Time in 1 Post
    The quick answer to your question is there is no need to update unless you got issues with your chip and wii combination. Just because there is a newer firmware, doesn't mean you should update to it. I usually install the d2pro9 v2 for customers with the 1.5v fix and update to v1.5 firmware. Seems to work well.

  4. #4
    Junior Member
    Join Date
    Jul 2008
    Location
    Minneapolis
    Posts
    33
    Thanks
    0
    Thanked 9 Times in 1 Post
    I agree with you jbloggs, and honestly I don't know why D2Pro doesn’t have more information on their website about what it is they are updating and why. All they do is put newer updates on their resource page and it's up to us to figure out if we need it or not? I have yet receive my modchip from canadamods so I’ve been doing a lot of reading, there are a lot of people posting to update, but not specifying why and for what particular problems. It would be helpful. Does anyone know what version would be on the D2Pro9 with v4c chip purchased the 10th from canadamods? I was planning to update it to v1.5 when it arrives but want to know why first or if I need to.

  5. #5
    Wiihacks Recommended
    Pro Installer/Store
    Senior Member
    Spyman's Avatar
    Join Date
    Jun 2008
    Location
    Greater Toronto Area
    Posts
    1,546
    Thanks
    33
    Thanked 123 Times in 106 Posts
    Quote Originally Posted by MNWII View Post
    I agree with you jbloggs, and honestly I don't know why D2Pro doesn’t have more information on their website about what it is they are updating and why. All they do is put newer updates on their resource page and it's up to us to figure out if we need it or not? I have yet receive my modchip from canadamods so I’ve been doing a lot of reading, there are a lot of people posting to update, but not specifying why and for what particular problems. It would be helpful. Does anyone know what version would be on the D2Pro9 with v4c chip purchased the 10th from canadamods? I was planning to update it to v1.5 when it arrives but want to know why first or if I need to.
    Those would be firmware 2.0/2.1 with 1.3 spi. If youre getting eject problems (not usually the case if you got the wiiclip as well) then you might want to update. I recommend 1.4 spi update myself to fix ssbb on systems that cant play it, though its a tricky game to get working so if it still doesnt work after updating to 1.4 then its likely the media/burn method etc.
    Send me a PM if you need any Canadamods.ca support

    $9.95 Flat Rate Shipping to Canada & USA
    Official Support for Canadamods. I am here to help.

    email: sales@canadamods.ca | website: http://www.canadamods.ca | Phone: +1 416 728 0648

    We are the Official Distributors for: P.3Key, Wode JukeBox, WasabiDX, WiiKey, DriveKey, M3i & More - Always Authentic Guarenteed !
    Buy Wode JukeBox v2.0 here: Here

  6. #6
    Wiihacks Recommended
    Pro Installer/Store
    Senior Member
    Spyman's Avatar
    Join Date
    Jun 2008
    Location
    Greater Toronto Area
    Posts
    1,546
    Thanks
    33
    Thanked 123 Times in 106 Posts
    As far as I understand it:

    D2A - update not needed
    D2B - update not needed
    DMS - update not needed

    D2C - Update with 2.1 Alt version
    D2C2 - Update with 2.1

    You don't need to update if everything is working fine, but if its not then you can. If you have d2pro9 v1 you can roll back and forth to any updates, if you have a v2 then you can only go between 2.1 alt and 2.1
    Send me a PM if you need any Canadamods.ca support

    $9.95 Flat Rate Shipping to Canada & USA
    Official Support for Canadamods. I am here to help.

    email: sales@canadamods.ca | website: http://www.canadamods.ca | Phone: +1 416 728 0648

    We are the Official Distributors for: P.3Key, Wode JukeBox, WasabiDX, WiiKey, DriveKey, M3i & More - Always Authentic Guarenteed !
    Buy Wode JukeBox v2.0 here: Here

  7. #7
    Member
    Retired Staff Member

    Join Date
    Jun 2008
    Posts
    1,494
    Thanks
    70
    Thanked 230 Times in 116 Posts
    Quote Originally Posted by Spyman View Post
    As far as I understand it:

    D2A - update not needed
    D2B - update not needed
    DMS - update not needed

    D2C - Update with 2.1 Alt version
    D2C2 - Update with 2.1

    You don't need to update if everything is working fine, but if its not then you can. If you have d2pro9 v1 you can roll back and forth to any updates, if you have a v2 then you can only go between 2.1 alt and 2.1
    Thanks.

    But I'm working with D2C Wii with D2pro9v2 SPI 1.3 (with the green d2c2 sticker) and whatever the Actel chip firmware was on the chip at the beginning of July without any issues (touch wood), then the notion that D2C Wiis need to update to 2.1 (alt) can't hold true for everyone. I understand, "if ain't broke then don't fix it", But I still like to know if this fix is because D2Pro messed up a bunch of D2Pro9V2 chips which are experiencing the issues or is there some very specific configuration of Wiis that need this. In my mind all these wiis are mass produced, so when a batch of D2C Wiis are manufactured then they should all be the same and ALL should encounter the same problems with the Mod chip. But this not the case here, so here lies the confusion. My only conclusion is that D2Pro may have a bad batch of D2Pro9V2 chips that need this update rather than bad Wiis.

    Also my other complaint is that the D2pro people are not very forthcoming in giving specific information about these updates.

  8. #8
    Wiihacks Recommended
    Pro Installer/Store
    Senior Member
    Spyman's Avatar
    Join Date
    Jun 2008
    Location
    Greater Toronto Area
    Posts
    1,546
    Thanks
    33
    Thanked 123 Times in 106 Posts
    it has something to do with the frequency and that can be different on different wiis and chipsets, so that is why there is 2 firmwares right now, if one doesnt work the other should.
    Send me a PM if you need any Canadamods.ca support

    $9.95 Flat Rate Shipping to Canada & USA
    Official Support for Canadamods. I am here to help.

    email: sales@canadamods.ca | website: http://www.canadamods.ca | Phone: +1 416 728 0648

    We are the Official Distributors for: P.3Key, Wode JukeBox, WasabiDX, WiiKey, DriveKey, M3i & More - Always Authentic Guarenteed !
    Buy Wode JukeBox v2.0 here: Here

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •